import { WebPlatformApiService } from './../../../../../services/WebPlatformApiService';
import { DisplayStateService } from './../../../../../services/DisplayStateService';
import { OnInit, OnChanges } from '@angular/core';
import { DataPolicy } from '../../../../../interfaces/WidgetInterfaces';
export declare class DataPolicyEditorComponent implements OnInit, OnChanges {
    private displayStateService;
    private webPlatformApiService;
    selectedDataPolicy: DataPolicy;
    periods: string[];
    securableResources: string[];
    constructor(displayStateService: DisplayStateService, webPlatformApiService: WebPlatformApiService);
    ngOnInit(): void;
    ngOnChanges(): void;
    initializeHeaders(): void;
}
